<tr class="coverFull" data-html-tooltip="Covered at least once"><td class="line"><a name="1">1</a></td><td class="hits">1</td><td class="code">import ipaddress</td></tr><tr class="coverFull" data-html-tooltip="Covered at least once"><td class="line"><a name="2">2</a></td><td class="hits">1</td><td class="code">import logging</td></tr><tr class="coverFull" data-html-tooltip="Covered at least once"><td class="line"><a name="3">3</a></td><td class="hits">1</td><td class="code">from dataclasses import dataclass</td></tr><tr class="coverFull" data-html-tooltip="Covered at least once"><td class="line"><a name="4">4</a></td><td class="hits">1</td><td class="code">from typing import List, Union</td></tr><tr class="noCover"><td class="line"><a name="5">5</a></td><td class="hits"></td><td class="code"></td></tr><tr class="coverFull" data-html-tooltip="Covered at least once"><td class="line"><a name="6">6</a></td><td class="hits">1</td><td class="code">import netdot</td></tr><tr class="coverFull" data-html-tooltip="Covered at least once"><td class="line"><a name="7">7</a></td><td class="hits">1</td><td class="code">from netdot import parse</td></tr><tr class="coverFull" data-html-tooltip="Covered at least once"><td class="line"><a name="8">8</a></td><td class="hits">1</td><td class="code">from netdot.csv_util import CSVDataclass</td></tr><tr class="coverFull" data-html-tooltip="Covered at least once"><td class="line"><a name="9">9</a></td><td class="hits">1</td><td class="code">from netdot.dataclasses.base import NetdotAPIDataclass</td></tr><tr class="noCover"><td class="line"><a name="10">10</a></td><td class="hits"></td><td class="code"></td></tr><tr class="coverFull" data-html-tooltip="Covered at least once"><td class="line"><a name="11">11</a></td><td class="hits">1</td><td class="code">logger &#61; logging.getLogger(__name__)</td></tr><tr class="noCover"><td class="line"><a name="12">12</a></td><td class="hits"></td><td class="code"></td></tr><tr class="noCover"><td class="line"><a name="13">13</a></td><td class="hits"></td><td class="code"></td></tr><tr class="coverFull" data-html-tooltip="Covered at least once"><td class="line"><a name="14">14</a></td><td class="hits">1</td><td class="code">&#64;dataclass</td></tr><tr class="coverFull" data-html-tooltip="Covered at least once"><td class="line"><a name="15">15</a></td><td class="hits">1</td><td class="code">class IPBlock(NetdotAPIDataclass, CSVDataclass):</td></tr><tr class="noCover"><td class="line"><a name="16">16</a></td><td class="hits"></td><td class="code">    # TODO: consider making aliases for this class: IPContainer IPAddress, IPSubnet</td></tr><tr class="coverFull" data-html-tooltip="Covered at least once"><td class="line"><a name="17">17</a></td><td class="hits">1</td><td class="code">    _NETDOT_TABLE_NAME &#61; &#39;Ipblock&#39;</td></tr><tr class="coverFull" data-html-tooltip="Covered at least once"><td class="line"><a name="18">18</a></td><td class="hits">1</td><td class="code">    address: ipaddress.ip_address &#61; None</td></tr><tr class="coverFull" data-html-tooltip="Covered at least once"><td class="line"><a name="19">19</a></td><td class="hits">1</td><td class="code">    description: str &#61; None</td></tr><tr class="coverFull" data-html-tooltip="Covered at least once"><td class="line"><a name="20">20</a></td><td class="hits">1</td><td class="code">    first_seen: parse.DateTime &#61; None</td></tr><tr class="coverFull" data-html-tooltip="Covered at least once"><td class="line"><a name="21">21</a></td><td class="hits">1</td><td class="code">    info: str &#61; None</td></tr><tr class="coverFull" data-html-tooltip="Covered at least once"><td class="line"><a name="22">22</a></td><td class="hits">1</td><td class="code">    interface: Union[str, &#39;netdot.Interface&#39;] &#61; None</td></tr><tr class="coverFull" data-html-tooltip="Covered at least once"><td class="line"><a name="23">23</a></td><td class="hits">1</td><td class="code">    interface_xlink: int &#61; None</td></tr><tr class="coverFull" data-html-tooltip="Covered at least once"><td class="line"><a name="24">24</a></td><td class="hits">1</td><td class="code">    last_seen: parse.DateTime &#61; None</td></tr><tr class="coverFull" data-html-tooltip="Covered at least once"><td class="line"><a name="25">25</a></td><td class="hits">1</td><td class="code">    owner: Union[str, &#39;netdot.Entity&#39;] &#61; None</td></tr><tr class="coverFull" data-html-tooltip="Covered at least once"><td class="line"><a name="26">26</a></td><td class="hits">1</td><td class="code">    owner_xlink: int &#61; None</td></tr><tr class="coverFull" data-html-tooltip="Covered at least once"><td class="line"><a name="27">27</a></td><td class="hits">1</td><td class="code">    parent: Union[str, &#39;netdot.IPBlock&#39;] &#61; None</td></tr><tr class="coverFull" data-html-tooltip="Covered at least once"><td class="line"><a name="28">28</a></td><td class="hits">1</td><td class="code">    parent_xlink: int &#61; None</td></tr><tr class="coverFull" data-html-tooltip="Covered at least once"><td class="line"><a name="29">29</a></td><td class="hits">1</td><td class="code">    prefix: int &#61; None</td></tr><tr class="coverFull" data-html-tooltip="Covered at least once"><td class="line"><a name="30">30</a></td><td class="hits">1</td><td class="code">    status: Union[str, &#39;netdot.IPBlockStatus&#39;] &#61; None</td></tr><tr class="coverFull" data-html-tooltip="Covered at least once"><td class="line"><a name="31">31</a></td><td class="hits">1</td><td class="code">    status_xlink: int &#61; None</td></tr><tr class="coverFull" data-html-tooltip="Covered at least once"><td class="line"><a name="32">32</a></td><td class="hits">1</td><td class="code">    used_by: Union[str, &#39;netdot.Entity&#39;] &#61; None</td></tr><tr class="coverFull" data-html-tooltip="Covered at least once"><td class="line"><a name="33">33</a></td><td class="hits">1</td><td class="code">    used_by_xlink: int &#61; None</td></tr><tr class="coverFull" data-html-tooltip="Covered at least once"><td class="line"><a name="34">34</a></td><td class="hits">1</td><td class="code">    version: int &#61; None</td></tr><tr class="coverFull" data-html-tooltip="Covered at least once"><td class="line"><a name="35">35</a></td><td class="hits">1</td><td class="code">    vlan: Union[str, &#39;netdot.VLAN&#39;] &#61; None</td></tr><tr class="coverFull" data-html-tooltip="Covered at least once"><td class="line"><a name="36">36</a></td><td class="hits">1</td><td class="code">    vlan_xlink: int &#61; None</td></tr><tr class="coverFull" data-html-tooltip="Covered at least once"><td class="line"><a name="37">37</a></td><td class="hits">1</td><td class="code">    use_network_broadcast: bool &#61; False</td></tr><tr class="coverFull" data-html-tooltip="Covered at least once"><td class="line"><a name="38">38</a></td><td class="hits">1</td><td class="code">    monitored: bool &#61; False</td></tr><tr class="coverFull" data-html-tooltip="Covered at least once"><td class="line"><a name="39">39</a></td><td class="hits">1</td><td class="code">    rir: str &#61; None</td></tr><tr class="coverFull" data-html-tooltip="Covered at least once"><td class="line"><a name="40">40</a></td><td class="hits">1</td><td class="code">    asn: Union[str, &#39;netdot.ASN&#39;] &#61; None</td></tr><tr class="coverFull" data-html-tooltip="Covered at least once"><td class="line"><a name="41">41</a></td><td class="hits">1</td><td class="code">    asn_xlink: int &#61; None</td></tr><tr class="noCover"><td class="line"><a name="42">42</a></td><td class="hits"></td><td class="code"></td></tr><tr class="coverFull" data-html-tooltip="Covered at least once"><td class="line"><a name="43">43</a></td><td class="hits">1</td><td class="code">    def load_children(self) -&gt; List[&#39;IPBlock&#39;]:</td></tr><tr class="noCover"><td class="line"><a name="44">44</a></td><td class="hits"></td><td class="code">        &#34;&#34;&#34;Get the children of this IPBlock.</td></tr><tr class="noCover"><td class="line"><a name="45">45</a></td><td class="hits"></td><td class="code"></td></tr><tr class="noCover"><td class="line"><a name="46">46</a></td><td class="hits"></td><td class="code">        Returns:</td></tr><tr class="noCover"><td class="line"><a name="47">47</a></td><td class="hits"></td><td class="code">            List[IPBlock]: The children of this IPBlock.</td></tr><tr class="noCover"><td class="line"><a name="48">48</a></td><td class="hits"></td><td class="code"></td></tr><tr class="noCover"><td class="line"><a name="49">49</a></td><td class="hits"></td><td class="code">        Raises:</td></tr><tr class="noCover"><td class="line"><a name="50">50</a></td><td class="hits"></td><td class="code">            ProtocolError: Can occur if your connection with Netdot has any issues.</td></tr><tr class="noCover"><td class="line"><a name="51">51</a></td><td class="hits"></td><td class="code">            HTTPError: If no results found. (error details can be found in Netdot&#39;s apache server logs)</td></tr><tr class="noCover"><td class="line"><a name="52">52</a></td><td class="hits"></td><td class="code">        &#34;&#34;&#34;</td></tr><tr class="coverFull" data-html-tooltip="Covered at least once"><td class="line"><a name="53">53</a></td><td class="hits">1</td><td class="code">        return self.repository.get_ipblock_children(self.id)</td></tr><tr class="noCover"><td class="line"><a name="54">54</a></td><td class="hits"></td><td class="code"></td></tr><tr class="noCover"><td class="line"><a name="55">55</a></td><td class="hits"></td><td class="code"></td></tr><tr class="coverFull" data-html-tooltip="Covered at least once"><td class="line"><a name="56">56</a></td><td class="hits">1</td><td class="code">&#64;dataclass</td></tr><tr class="coverFull" data-html-tooltip="Covered at least once"><td class="line"><a name="57">57</a></td><td class="hits">1</td><td class="code">class IPBlockAttrName(NetdotAPIDataclass, CSVDataclass):</td></tr><tr class="coverFull" data-html-tooltip="Covered at least once"><td class="line"><a name="58">58</a></td><td class="hits">1</td><td class="code">    _NETDOT_TABLE_NAME &#61; &#39;IpblockAttrName&#39;</td></tr><tr class="coverFull" data-html-tooltip="Covered at least once"><td class="line"><a name="59">59</a></td><td class="hits">1</td><td class="code">    info: str &#61; None</td></tr><tr class="coverFull" data-html-tooltip="Covered at least once"><td class="line"><a name="60">60</a></td><td class="hits">1</td><td class="code">    name: str &#61; None</td></tr><tr class="noCover"><td class="line"><a name="61">61</a></td><td class="hits"></td><td class="code"></td></tr><tr class="noCover"><td class="line"><a name="62">62</a></td><td class="hits"></td><td class="code"></td></tr><tr class="coverFull" data-html-tooltip="Covered at least once"><td class="line"><a name="63">63</a></td><td class="hits">1</td><td class="code">&#64;dataclass</td></tr><tr class="coverFull" data-html-tooltip="Covered at least once"><td class="line"><a name="64">64</a></td><td class="hits">1</td><td class="code">class IPBlockStatus(NetdotAPIDataclass, CSVDataclass):</td></tr><tr class="coverFull" data-html-tooltip="Covered at least once"><td class="line"><a name="65">65</a></td><td class="hits">1</td><td class="code">    _NETDOT_TABLE_NAME &#61; &#39;IpblockStatus&#39;</td></tr><tr class="coverFull" data-html-tooltip="Covered at least once"><td class="line"><a name="66">66</a></td><td class="hits">1</td><td class="code">    name: str &#61; None</td></tr><tr class="noCover"><td class="line"><a name="67">67</a></td><td class="hits"></td><td class="code"></td></tr><tr class="noCover"><td class="line"><a name="68">68</a></td><td class="hits"></td><td class="code"></td></tr><tr class="coverFull" data-html-tooltip="Covered at least once"><td class="line"><a name="69">69</a></td><td class="hits">1</td><td class="code">&#64;dataclass</td></tr><tr class="coverFull" data-html-tooltip="Covered at least once"><td class="line"><a name="70">70</a></td><td class="hits">1</td><td class="code">class Service(NetdotAPIDataclass, CSVDataclass):</td></tr><tr class="noCover"><td class="line"><a name="71">71</a></td><td class="hits"></td><td class="code">    &#34;&#34;&#34;Network services, such as: NTP, POP3, RADIUS, SMTP, SSH, TELNET...&#34;&#34;&#34;</td></tr><tr class="coverFull" data-html-tooltip="Covered at least once"><td class="line"><a name="72">72</a></td><td class="hits">1</td><td class="code">    info: str &#61; None</td></tr><tr class="coverFull" data-html-tooltip="Covered at least once"><td class="line"><a name="73">73</a></td><td class="hits">1</td><td class="code">    name: str &#61; None</td></tr><tr class="noCover"><td class="line"><a name="74">74</a></td><td class="hits"></td><td class="code"></td></tr><tr class="noCover"><td class="line"><a name="75">75</a></td><td class="hits"></td><td class="code"></td></tr><tr class="coverFull" data-html-tooltip="Covered at least once"><td class="line"><a name="76">76</a></td><td class="hits">1</td><td class="code">&#64;dataclass</td></tr><tr class="coverFull" data-html-tooltip="Covered at least once"><td class="line"><a name="77">77</a></td><td class="hits">1</td><td class="code">class IPBlockAttr(NetdotAPIDataclass, CSVDataclass):</td></tr><tr class="coverFull" data-html-tooltip="Covered at least once"><td class="line"><a name="78">78</a></td><td class="hits">1</td><td class="code">    _NETDOT_TABLE_NAME &#61; &#39;IpblockAttr&#39;</td></tr><tr class="coverFull" data-html-tooltip="Covered at least once"><td class="line"><a name="79">79</a></td><td class="hits">1</td><td class="code">    ipblock: Union[str, &#39;netdot.IPBlock&#39;] &#61; None</td></tr><tr class="coverFull" data-html-tooltip="Covered at least once"><td class="line"><a name="80">80</a></td><td class="hits">1</td><td class="code">    ipblock_xlink: int &#61; None</td></tr><tr class="coverFull" data-html-tooltip="Covered at least once"><td class="line"><a name="81">81</a></td><td class="hits">1</td><td class="code">    name: Union[str, &#39;netdot.IPBlockAttrName&#39;] &#61; None</td></tr><tr class="coverFull" data-html-tooltip="Covered at least once"><td class="line"><a name="82">82</a></td><td class="hits">1</td><td class="code">    name_xlink: int &#61; None</td></tr><tr class="coverFull" data-html-tooltip="Covered at least once"><td class="line"><a name="83">83</a></td><td class="hits">1</td><td class="code">    value: str &#61; None</td></tr><tr class="noCover"><td class="line"><a name="84">84</a></td><td class="hits"></td><td class="code"></td></tr><tr class="noCover"><td class="line"><a name="85">85</a></td><td class="hits"></td><td class="code"></td></tr><tr class="coverFull" data-html-tooltip="Covered at least once"><td class="line"><a name="86">86</a></td><td class="hits">1</td><td class="code">&#64;dataclass</td></tr><tr class="coverFull" data-html-tooltip="Covered at least once"><td class="line"><a name="87">87</a></td><td class="hits">1</td><td class="code">class IPService(NetdotAPIDataclass, CSVDataclass):</td></tr><tr class="coverFull" data-html-tooltip="Covered at least once"><td class="line"><a name="88">88</a></td><td class="hits">1</td><td class="code">    _NETDOT_TABLE_NAME &#61; &#39;IpService&#39;</td></tr><tr class="coverFull" data-html-tooltip="Covered at least once"><td class="line"><a name="89">89</a></td><td class="hits">1</td><td class="code">    contactlist: Union[str, &#39;netdot.ContactList&#39;] &#61; None</td></tr><tr class="coverFull" data-html-tooltip="Covered at least once"><td class="line"><a name="90">90</a></td><td class="hits">1</td><td class="code">    contactlist_xlink: int &#61; None</td></tr><tr class="coverFull" data-html-tooltip="Covered at least once"><td class="line"><a name="91">91</a></td><td class="hits">1</td><td class="code">    ip: Union[ipaddress.ip_address, &#39;netdot.IPBlock&#39;] &#61; None</td></tr><tr class="coverFull" data-html-tooltip="Covered at least once"><td class="line"><a name="92">92</a></td><td class="hits">1</td><td class="code">    ip_xlink: int &#61; None</td></tr><tr class="coverFull" data-html-tooltip="Covered at least once"><td class="line"><a name="93">93</a></td><td class="hits">1</td><td class="code">    monitored: bool &#61; False</td></tr><tr class="coverFull" data-html-tooltip="Covered at least once"><td class="line"><a name="94">94</a></td><td class="hits">1</td><td class="code">    monitorstatus: Union[str, &#39;netdot.MonitorStatus&#39;] &#61; None</td></tr><tr class="coverFull" data-html-tooltip="Covered at least once"><td class="line"><a name="95">95</a></td><td class="hits">1</td><td class="code">    monitorstatus_xlink: int &#61; None</td></tr><tr class="coverFull" data-html-tooltip="Covered at least once"><td class="line"><a name="96">96</a></td><td class="hits">1</td><td class="code">    service: Union[str, &#39;netdot.Service&#39;] &#61; None</td></tr><tr class="coverFull" data-html-tooltip="Covered at least once"><td class="line"><a name="97">97</a></td><td class="hits">1</td><td class="code">    service_xlink: int &#61; None</td></tr><tr class="noCover"><td class="line"><a name="98">98</a></td><td class="hits"></td><td class="code"></td></tr><tr class="noCover"><td class="line"><a name="99">99</a></td><td class="hits"></td><td class="code"></td></tr><tr class="coverFull" data-html-tooltip="Covered at least once"><td class="line"><a name="100">100</a></td><td class="hits">1</td><td class="code">&#64;dataclass</td></tr><tr class="coverFull" data-html-tooltip="Covered at least once"><td class="line"><a name="101">101</a></td><td class="hits">1</td><td class="code">class SubnetZone(NetdotAPIDataclass, CSVDataclass):</td></tr><tr class="coverFull" data-html-tooltip="Covered at least once"><td class="line"><a name="102">102</a></td><td class="hits">1</td><td class="code">    subnet: Union[str, &#39;netdot.IPBlock&#39;] &#61; None</td></tr><tr class="coverFull" data-html-tooltip="Covered at least once"><td class="line"><a name="103">103</a></td><td class="hits">1</td><td class="code">    subnet_xlink: int &#61; None</td></tr><tr class="coverFull" data-html-tooltip="Covered at least once"><td class="line"><a name="104">104</a></td><td class="hits">1</td><td class="code">    zone: Union[str, &#39;netdot.Zone&#39;] &#61; None</td></tr><tr class="coverFull" data-html-tooltip="Covered at least once"><td class="line"><a name="105">105</a></td><td class="hits">1</td><td class="code">    zone_xlink: int &#61; None</td></tr>